Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1356566 - [RFE] Split Hypervisor Checkin into multiple transactions
Summary: [RFE] Split Hypervisor Checkin into multiple transactions
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Candlepin
Classification: Community
Component: candlepin
Version: 2.0
Hardware: Unspecified
OS: Unspecified
high
unspecified
Target Milestone: ---
: 2.0
Assignee: vritant
QA Contact: Katello QA List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-14 11:54 UTC by Filip Nguyen
Modified: 2017-02-22 08:16 UTC (History)
3 users (show)

Fixed In Version: candlepin-2.0.22-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-02-22 08:13:28 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github candlepin candlepin pull 1324 None None None 2017-01-17 16:31:22 UTC
Github candlepin candlepin pull 1445 None None None 2017-02-22 08:13:28 UTC

Description Filip Nguyen 2016-07-14 11:54:50 UTC
Description of problem:
Large checkins (e.g. 1350771 ) can result into very long running database transactions. Such long running transactions introduce a danger of lock waits and deadlocks.


How reproducible:
Always

Steps to Reproduce:
1. Submit a checkin with large number of hosts and large number of migrated hosts

Actual results:
Checkin creates one big transaction. Migration of guests between hosts require revocation and auto-heal, both are time consuming. I saw a transaction that lasted for 8 hours

Expected results:
Transactions are shorter, at most minutes.

Comment 2 vritant 2017-02-22 08:16:53 UTC
if there is need for this again, we should discuss with katello folks around accepting partial success etc. we should also focus on one transaction per hypervisor imo.


Note You need to log in before you can comment on or make changes to this bug.